<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>Uses of Class ch.sebi.zuul.logic.ui.menu.MenuItem</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ch.sebi.zuul.logic.ui.menu.MenuItem";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/class-use/MenuItem.html" target="_top">Frames</a></li>
<li><a href="MenuItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class ch.sebi.zuul.logic.ui.menu.MenuItem" class="title">Uses of Class<br>ch.sebi.zuul.logic.ui.menu.MenuItem</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.ui.menu">ch.sebi.zuul.logic.ui.menu</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.logic.ui.menu">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a> in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> declared as <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#selectedItem">selectedItem</a></span></code>
<div class="block">The item which was selected</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> with type parameters of type <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#items">items</a></span></code>
<div class="block">a list of all items of the menu</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> that return <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#addMenu-ch.sebi.zuul.logic.ui.menu.MenuItem-">addMenu</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;item)</code>
<div class="block">Adds a menu item to the menu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#addMenu-java.lang.String-">addMenu</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Adds a menu item to the menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#getItems--">getItems</a></span>()</code>
<div class="block">Returns all menu items of this menu in an array</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#getSelectedItem--">getSelectedItem</a></span>()</code>
<div class="block">Returns the menu item which was selected in the last <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-"><code>Menu.printAndWait(Game)</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> with parameters of type <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><span class="typeNameLabel">Menu.</span><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#addMenu-ch.sebi.zuul.logic.ui.menu.MenuItem-">addMenu</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;item)</code>
<div class="block">Adds a menu item to the menu</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a> with parameters of type <a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu-ch.sebi.zuul.logic.ui.menu.MenuItem...-">Menu</a></span>(<a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>...&nbsp;items)</code>
<div class="block">constructor<br/>

 Creates a new menu and adds the given menu items to the Menu</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/class-use/MenuItem.html" target="_top">Frames</a></li>
<li><a href="MenuItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
